import { Point } from '@wisemapping/web2d';
import ActionDispatcher from './ActionDispatcher';
import DesignerActionRunner from './DesignerActionRunner';
import CommandContext from './CommandContext';
import NodeModel from './model/NodeModel';
import RelationshipModel from './model/RelationshipModel';
import Topic from './Topic';
import Command from './Command';
import FeatureType from './model/FeatureType';
declare class StandaloneActionDispatcher extends ActionDispatcher {
    private _actionRunner;
    get actionRunner(): DesignerActionRunner;
    set actionRunner(value: DesignerActionRunner);
    constructor(commandContext: CommandContext);
    addTopics(models: NodeModel[], parentTopicsId?: number[]): void;
    addRelationship(model: RelationshipModel): void;
    /** */
    deleteEntities(topicsIds: number[], relIds: number[]): void;
    /** */
    dragTopic(topicId: number, position: Point, order: number, parentTopic: Topic): void;
    /** */
    moveTopic(topicId: number, position: Point): void;
    /** */
    moveControlPoint(ctrlPoint: Point, point: Point): void;
    /** */
    changeFontStyleToTopic(topicsIds: number[]): void;
    /** */
    changeTextToTopic(topicsIds: number[], text: string): void;
    /** */
    changeFontFamilyToTopic(topicIds: number[], fontFamily: string): void;
    /** */
    changeFontColorToTopic(topicsIds: number[], color: string): void;
    /** */
    changeBackgroundColorToTopic(topicsIds: number[], color: string): void;
    /** */
    changeBorderColorToTopic(topicsIds: number[], color: string): void;
    /** */
    changeFontSizeToTopic(topicsIds: number[], size: number): void;
    /** */
    changeShapeTypeToTopic(topicsIds: number[], shapeType: string): void;
    /** */
    changeFontWeightToTopic(topicsIds: number[]): void;
    /** */
    shrinkBranch(topicsIds: number[], collapse: boolean): void;
    /** */
    addFeatureToTopic(topicId: number, featureType: FeatureType, attributes: any): void;
    /** */
    changeFeatureToTopic(topicId: number, featureId: number, attributes: any): void;
    /** */
    removeFeatureFromTopic(topicId: number, featureId: number): void;
    /** */
    execute(command: Command): void;
}
export default StandaloneActionDispatcher;
